/** @jsx createElement */

/**
 * Copyright (c) 2015-present, Alibaba Group Holding Limited.
 * All rights reserved.
 *
 * @providesModule rx-Button
 */
'use strict';

import {createElement, Component, PropTypes} from 'weex-rx';
import { View } from 'nuke-components';
const isWeex = typeof callNative !== 'undefined';
const isWeb = typeof window === 'object';

class Loading extends Component {

	constructor(props) {
        super(props);
    }

	render(){

    	if (isWeex) {
    		return <loading {...this.props}>{this.props.children}</loading>

    	}else{
    		return <View {...this.props}>{this.props.children}</View>

    	}
    	
	}
    
}

export default Loading;


